Bug 249139 - prism54 card can't authenticate with WPA
prism54 card can't authenticate with WPA
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-21 08:05 EDT by Iain Anderson
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-16 08:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (18.63 KB, text/plain)
2007-07-21 08:05 EDT, Iain Anderson
no flags Details

  None (edit)
Description Iain Anderson 2007-07-21 08:05:27 EDT
Description of problem:

Can't connect to wireless network that uses WPA. Hardware: 3com officeconnect
3crwe154g72, version 1.0 (pcmcia, fullmac)

Works fine with WEP, also ok under XP or ndiswrapper.

Version-Release number of selected component (if applicable):
kernel-2.6.23-0.35.rc0.git6.fc8
NetworkManager-0.6.5-7.fc8
wpa_supplicant-0.5.7-3.fc8

(and various older releases, I don't think this is a regression)

How reproducible:

Click on network connections icon, select wireless network, enter WPA password.
"connecting" animation is shown for a time, when this goes away the wired
connection is active but the wireless is not.

Additional info:

Sometimes the wireless authentication dialog does not show WPA as an option.

Logs produced during connection attempt:

eth0: resetting device...
eth0: uploading firmware...
eth0: firmware version: 1.0.4.3
eth0: firmware upload complete
eth0: interface reset complete
eth0: no IPv6 routers present
eth0: timeout waiting for mgmt response 1000, triggering device
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: WPA IE Attachment was set
eth0: timeout waiting for mgmt response 1000, triggering device
eth0: no IPv6 routers present 
eth0: WPA IE Attachment was set
eth0: mgt_commit_list: failure. oid=19000004 err=1
eth0: mgt_commit: failure
eth0: WPA IE Attachment was set
eth0: timeout waiting for mgmt response 1000, triggering device
eth0: mgt_commit_list: failure. oid=19000004 err=1 
eth0: mgt_commit: failure
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: islpci_close ()
eth0: resetting device...
Comment 1 Iain Anderson 2007-07-21 08:05:27 EDT
Created attachment 159719 [details]
dmesg output
Comment 2 Iain Anderson 2007-09-03 18:39:44 EDT
With a fresh installation of rawhide, the softmac driver is selected and given
the appropriate firmware this works fine (although presumably with more host cpu
load).

Software revisions:
kernel-2.6.23-0.115.rc3.git1.fc8
NetworkManager-0.6.5-9.fc8
wpa_supplicant-0.5.7-6.fc8

Note You need to log in before you can comment on or make changes to this bug.